Bug 1306200 - (CVE-2016-2086) CVE-2016-2086 nodejs: Request smuggling vulnerability
CVE-2016-2086 nodejs: Request smuggling vulnerability
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160209,repor...
: Security
Depends On: 1306206 1306207 1306208 1417959 1417960
Blocks: 1306204
  Show dependency treegraph
 
Reported: 2016-02-10 05:11 EST by Adam Mariš
Modified: 2018-04-03 00:53 EDT (History)
47 users (show)

See Also:
Fixed In Version: nodejs 0.10.42, nodejs 0.12.10, nodejs 4.3.0, nodejs 5.6.0
Doc Type: Bug Fix
Doc Text:
It was found that nodejs http-parser http_parser_execute() function did not properly followed HTTP header specifications. An attacker could send an HTTP request with a specially crafted header and cause a HTTP smuggling attack.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-10 05:11:08 EST
A request smuggling vulnerability was found in Node.js that can be exploited under certain unspecified circumstances.

External Reference:

https://nodejs.org/en/blog/vulnerability/february-2016-security-releases/
Comment 2 Adam Mariš 2016-02-10 05:27:13 EST
Created nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1306207]
Affects: epel-all [bug 1306208]
Comment 5 Fedora Update System 2016-02-14 21:50:16 EST
nodejs-0.10.42-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-22 15:50:45 EST
nodejs-0.10.42-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-02-26 20:59:57 EST
nodejs-0.10.42-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-02-26 21:07:08 EST
nodejs-0.10.42-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Jason Shepherd 2018-04-03 00:53:17 EDT
Openshift uses latest RHSCL nodejs-4-rhel7 image which include NodeJS 4.6.2. Marking Openshift Enterprise as not affected.

https://github.com/openshift/library/blob/master/official/nodejs/imagestreams/nodejs-rhel7.json#L64

Note You need to log in before you can comment on or make changes to this bug.